Bug 1023071 - hammer cli: 'architecture add_operatingsystem' throws unhandled error
hammer cli: 'architecture add_operatingsystem' throws unhandled error
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Tomas Strachota
Katello QA List
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 10:41 EDT by Corey Welton
Modified: 2016-04-22 11:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 3499 None None None 2016-04-22 11:07 EDT

  None (edit)
Description Corey Welton 2013-10-24 10:41:43 EDT
Description of problem:
Unhandled error is thrown in hammer cli when using 'add_operatingsystem' param for 'architecture'

Version-Release number of selected component (if applicable):

rubygem-hammer_cli_foreman-0.0.8-2.el6sat.noarch

How reproducible:


Steps to Reproduce:
1. hammer -u admin -p admin architecture add_operatingsystem 
2. view results


Actual results:
[root@cloud-qe-21 ~]# hammer -u admin -p admin architecture add_operatingsystem 
Error: uninitialized constant HammerCLIForeman::AssociatedCommand::ResourceInstance


Expected results:
If we're expecting user to enter something in a different manner, we should tell them what to enter, and we should capture anything differently in a graceful manner.


Additional info:
Comment 2 Apurva Bhole 2013-10-25 13:46:28 EDT
This same issue also exists for the organization subcommands.

many organization sub-commands fail with error:
organization add_computeresource
organization add_user
organization add_domain
etc

Actual Results:
Error: uninitialized constant HammerCLIForeman::AssociatedCommand::ResourceInstance
Comment 3 Dominic Cleal 2013-10-29 16:12:08 EDT
Fixed in rubygem-hammer_cli_foreman-0.0.9.
Comment 6 Corey Welton 2013-10-31 09:38:03 EDT
QA Verified Satellite-6.0.2-RHEL-6-20131030.0
Comment 9 Bryan Kearney 2014-04-24 13:09:37 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 10 Bryan Kearney 2014-04-24 13:11:04 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.